Get track report
curl --request GET \
--url https://api.doozy.live/v1/tracks/{track_id}/report \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/tracks/{track_id}/report"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/tracks/{track_id}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/tracks/{track_id}/report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/tracks/{track_id}/report"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/tracks/{track_id}/report")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/tracks/{track_id}/report")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "track_report",
"id": "i3XJiIJjOp7PJJBTvu4i",
"name": "New Hire Onboarding",
"state": "active",
"trigger_type": "user_join",
"reporting_unit": "enrollee",
"summary": {
"object": "track_report_summary",
"total_enrollees": 100,
"total_runs": 0,
"active": 40,
"delivered": 10,
"completed": 45,
"failed": 5,
"paused": 5,
"canceled": 5,
"average_completion_rate": 72.5,
"average_time_to_complete": 604800
},
"step_analytics": [
{
"object": "track_step_analytics",
"step_id": "NKqbhqFnRyGChRhvM6bB",
"step_type": "survey",
"title": "Onboarding Survey",
"display_title": "Onboarding Survey",
"order": 1,
"day": 0,
"time": "09:00",
"total_reached": 80,
"delivered": 5,
"completed": 70,
"failed": 3,
"skipped": 2,
"active": 5,
"completion_rate": 87.5,
"channel": "slack",
"task_completion_rate": 66.7,
"task_breakdown": [
{
"object": "track_task_item_analytics",
"task_id": "84PRq3gmjhtb1Esw3chl",
"variant_id": "default",
"details": "Read the employee handbook",
"assigned": 80,
"completed": 60,
"completion_rate": 75
}
],
"variants": [
{
"object": "track_step_variant_analytics",
"variant_id": "default",
"name": "Engineering",
"removed": false,
"total_reached": 40,
"delivered": 4,
"completed": 35,
"failed": 1,
"completion_rate": 87.5
}
]
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Tracks
Get track report
A track’s summary statistics and step analytics. Enrollees or group runs are listed by GET /v1/tracks//report/instances.
GET
/
v1
/
tracks
/
{track_id}
/
report
Get track report
curl --request GET \
--url https://api.doozy.live/v1/tracks/{track_id}/report \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/tracks/{track_id}/report"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/tracks/{track_id}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/tracks/{track_id}/report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/tracks/{track_id}/report"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/tracks/{track_id}/report")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/tracks/{track_id}/report")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "track_report",
"id": "i3XJiIJjOp7PJJBTvu4i",
"name": "New Hire Onboarding",
"state": "active",
"trigger_type": "user_join",
"reporting_unit": "enrollee",
"summary": {
"object": "track_report_summary",
"total_enrollees": 100,
"total_runs": 0,
"active": 40,
"delivered": 10,
"completed": 45,
"failed": 5,
"paused": 5,
"canceled": 5,
"average_completion_rate": 72.5,
"average_time_to_complete": 604800
},
"step_analytics": [
{
"object": "track_step_analytics",
"step_id": "NKqbhqFnRyGChRhvM6bB",
"step_type": "survey",
"title": "Onboarding Survey",
"display_title": "Onboarding Survey",
"order": 1,
"day": 0,
"time": "09:00",
"total_reached": 80,
"delivered": 5,
"completed": 70,
"failed": 3,
"skipped": 2,
"active": 5,
"completion_rate": 87.5,
"channel": "slack",
"task_completion_rate": 66.7,
"task_breakdown": [
{
"object": "track_task_item_analytics",
"task_id": "84PRq3gmjhtb1Esw3chl",
"variant_id": "default",
"details": "Read the employee handbook",
"assigned": 80,
"completed": 60,
"completion_rate": 75
}
],
"variants": [
{
"object": "track_step_variant_analytics",
"variant_id": "default",
"name": "Engineering",
"removed": false,
"total_reached": 40,
"delivered": 4,
"completed": 35,
"failed": 1,
"completion_rate": 87.5
}
]
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Authorizations
Path Parameters
Query Parameters
Response
Track report
How users are added to the track
Available options:
user_join, manual_user_trigger, manual_group_trigger, schedule, schedule_group, work_anniversary, added_by_another_track, self_join, cohort_started, cohort_member_added, mentoring_pair_introduced, channel_join Example:
"user_join"
Was this page helpful?